# Uses of Class
org.apache.sysds.runtime.controlprogram.ForProgramBlock

Packages that use ForProgramBlock
Package
Description
org.apache.sysds.hops
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.util

## Uses of ForProgramBlock in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type ForProgramBlock
Modifier and Type
Method
Description
`static long`
OptimizerUtils.`getNumIterations(ForProgramBlock fpb, long defaultValue)`
`static long`
OptimizerUtils.`getNumIterations(ForProgramBlock fpb, LocalVariableMap vars, long defaultValue)`

## Uses of ForProgramBlock in org.apache.sysds.runtime.controlprogram

Subclasses of ForProgramBlock in org.apache.sysds.runtime.controlprogram
Modifier and Type
Class
Description
`class`
`ParForProgramBlock`
The ParForProgramBlock has the same execution semantics as a ForProgamBlock but executes the independent iterations in parallel.

## Uses of ForProgramBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return ForProgramBlock
Modifier and Type
Method
Description
`static ForProgramBlock`
ProgramConverter.`createDeepCopyForProgramBlock(ForProgramBlock fpb, long pid, int IDPrefix, Program prog, Set<String> fnStack, Set<String> fnCreated, boolean plain, boolean forceDeepCopy)`
`static ForProgramBlock`
ProgramConverter.`createShallowCopyForProgramBlock(ForProgramBlock fpb, Program prog)`
Methods in org.apache.sysds.runtime.util with parameters of type ForProgramBlock
Modifier and Type
Method
Description
`static ForProgramBlock`
ProgramConverter.`createDeepCopyForProgramBlock(ForProgramBlock fpb, long pid, int IDPrefix, Program prog, Set<String> fnStack, Set<String> fnCreated, boolean plain, boolean forceDeepCopy)`
`static ForProgramBlock`
ProgramConverter.`createShallowCopyForProgramBlock(ForProgramBlock fpb, Program prog)`